SoCenterballManip(3)

NAME
SoCenterballManip - The SoCenterballManip wraps an SoCenterballDragger for convenience.

SYNOPSIS

#include <Inventor/manips/SoCenterballManip.h>

Inherits SoTransformManip.

  Public Member Functions
virtual SoType getTypeId (void) const
SoCenterballManip (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoCenterballManip (void)
virtual void setDragger (SoDragger *newDragger)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static void fieldSensorCB (void *f, SoSensor *s)
static void valueChangedCB (void *f, SoDragger *d)

  Additional Inherited Members

Detailed Description

The SoCenterballManip wraps an SoCenterballDragger for convenience. The manipulator class takes care of wrapping up the SoCenterballDragger in a simple and convenient API for the application programmer, making it automatically surround the geometry it influences and taking care of the book-keeping routines for its interaction with the relevant fields of an SoTransformation node.

 Example of CenterBall Manipulator

Constructor & Destructor Documentation

  SoCenterballManip::SoCenterballManip (void)
Default constructor. Allocates an SoCenterballDragger and an SoSurroundScale node to surround the geometry within our part of the scene graph.

  SoCenterballManip::~SoCenterballManip (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoCenterballManip::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoCenterballManip::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTransformManip.

  const SoFieldData ** SoCenterballManip::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoCenterballManip::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTransformManip.

Author

Generated automatically by Doxygen for Coin from the source code.